<ion-header>
  <ion-navbar>
    <button ion-button menuToggle>
      <ion-icon name="menu"></ion-icon>
    </button>

    <ion-title>{{ "search-results.title" | translate }}</ion-title>
  </ion-navbar>

  <ion-toolbar>
    <ion-searchbar
      [(ngModel)]="searchQuery"
      placeholder="{{ 'search-results.search-placeholder' | translate }}"
      showCancelButton
      debounce="250"
      (ionInput)="updateList()"
      (ionClear)="updateList()"
    ></ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content no-padding>
  <ng-container *ngIf="movies | async as movies">
    <ng-container *ngIf="movies.length > 0">
      <movie-list
        [movies]="movies"
        (onMovieClick)="onMovieClick()"
      ></movie-list>

      <pagination
        [prevPageEnabled]="prevPageEnabled | async"
        [nextPageEnabled]="nextPageEnabled | async"
        (prevPage)="prevPage()"
        (nextPage)="nextPage()"
      ></pagination>
    </ng-container>
  </ng-container>
</ion-content>
